edu.sc.seis.sod.subsetter.origin

## Class AbstractOriginPoint

- java.lang.Object
- - edu.sc.seis.sod.subsetter.DistanceRangeSubsetter
  - - edu.sc.seis.sod.subsetter.origin.AbstractOriginPoint

- All Implemented Interfaces:
    SodElement
  Direct Known Subclasses:
    OriginPointAzimuth, OriginPointBackAzimuth, OriginPointDistance, StationPointAzimuth, StationPointBackAzimuth, StationPointDistance

      public class AbstractOriginPoint
      extends DistanceRangeSubsetter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `latitude`
    `protected double` | `longitude`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOriginPoint(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getLatitude()`
    `static double[]` | `getLatLon(org.w3c.dom.Element config, java.lang.String extractor)`
    `double` | `getLongitude()`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.DistanceRangeSubsetter

      `getMax, getMin, getUnitRange, processConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### latitude

          protected double latitude

    - #### longitude

          protected double longitude

  - ### Constructor Detail

    - #### AbstractOriginPoint

          public AbstractOriginPoint(org.w3c.dom.Element config)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getLatLon

          public static double[] getLatLon(org.w3c.dom.Element config,
                                           java.lang.String extractor)
                                    throws UserConfigurationException

      Throws:
        `UserConfigurationException`

    - #### getLatitude

          public double getLatitude()

    - #### getLongitude

          public double getLongitude()